RENAME(1)

NAME
rename - rename files

SYNOPSIS
rename [options] expression replacement file...

DESCRIPTION
rename will rename the specified files by replacing the first occurrence of expression in their name by replacement.

OPTIONS

-v, --verbose
    Give visual feedback which files where renamed, if any.

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

EXAMPLES
Given the files foo1, ..., foo9, foo10, ..., foo278, the commands

    rename foo foo0 foo?
    rename foo foo0 foo??

will turn them into foo001, ..., foo009, foo010, ..., foo278. And

    rename .htm .html *.htm

will fix the extension of your html files.

WARNING
The renaming has no safeguards. If the user has permission to rewrite file names, the command will perform the action without any questions. For example, the result can be quite drastic when the command is run as root in the /lib directory. Always make a backup before running the command, unless you truly know what you are doing.

SEE ALSO
mmv(1), mv(1)

AVAILABILITY
The rename command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.